Page MenuHomePhabricator

MediaViewer's SVG icons cannot be automatically transformed to PNG
Closed, DeclinedPublic

Description

From https://gerrit.wikimedia.org/r/#/c/159265/: "a lot of the SVG files don't have correct defualt size/density information, which means that the converted SVGs have to be sized manually most of the time"

This is a problem if we want to support older browsers (IE8 and below does not support SVG) and also if ResourceLoader starts to automatically generate such fallbacks (T76473), which seems to be the plan per http://www.gossamer-threads.com/lists/wiki/wikitech/502321


Version: unspecified
Severity: minor

Details

Reference
bz70654

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 3:48 AM
bzimport added a project: MediaViewer.
bzimport set Reference to bz70654.
bzimport added a subscriber: Unknown Object (MLST).
Tgr created this task.Sep 10 2014, 1:07 PM
Tgr added a comment.Sep 10 2014, 1:08 PM

This should be preferably fixed upstream, in whatever system the designers use to share files, and should be promoted to be a requirement for all new SVG files, IMO.

Gilles triaged this task as Low priority.Nov 24 2014, 2:00 PM
Gilles added a subscriber: Gilles.
Tgr updated the task description. (Show Details)Dec 6 2014, 5:50 PM
Tgr set Security to None.
Jdforrester-WMF moved this task from Untriaged to Backlog on the Multimedia board.Sep 4 2015, 6:09 PM
Restricted Application added subscribers: Matanya, Aklapper. · View Herald TranscriptSep 4 2015, 6:09 PM

Mass-removing the Multimedia tag from MediaViewer tasks, as this is now being worked on by the Reading department, not Editing's Multimedia team.

Jdforrester-WMF renamed this task from SVG icons cannot be automatically transformed to PNG to MediaViewer's SVG icons cannot be automatically transformed to PNG.Apr 27 2016, 8:40 PM
Jdforrester-WMF removed a subscriber: wikibugs-l-list.
Tgr closed this task as Declined.Mar 25 2017, 9:45 PM

Declining per T72932.